#pragma once

#include "common.h"
#include "formatter.h"

namespace maps::wiki::poi {

struct PoiDef;

class IndoorXmlFormatter {
public:
    IndoorXmlFormatter(std::ostream& out);

    ~IndoorXmlFormatter();

    void append(const PoiDef& data);

private:
    OutputStreamEmitter emitter_;
};

} // namespace maps::wiki::poi

